Package org.eclipse.birt.chart.model.layout.impl

# Class PlotImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.layout.impl.BlockImpl
org.eclipse.birt.chart.model.layout.impl.PlotImpl

All Implemented Interfaces:
  `IChartObject`, `Block`, `Plot`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class PlotImpl extends BlockImpl implements Plot
An implementation of the model object ' Plot'.

The following features are implemented:

- `Horizontal Spacing`
- `Vertical Spacing`
- `Client Area`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetClientArea(ClientArea newClientArea, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Plot`
`copyInstance()`
`static final Block`
`create()`
A convenience method to create an initialized 'Plot' instance
`static final Block`
`createDefault()`
A convenience method to create an initialized 'Plot' instance
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`ClientArea`
`getClientArea()`
`int`
`getHorizontalSpacing()`
`int`
`getVerticalSpacing()`
`boolean`
`isCustom()`
Note: Manually written
`boolean`
`isPlot()`
Note: Manually written
`boolean`
`isSetHorizontalSpacing()`
`boolean`
`isSetVerticalSpacing()`
`void`
`setClientArea(ClientArea newClientArea)`
`void`
`setHorizontalSpacing(int newHorizontalSpacing)`
`void`
`setVerticalSpacing(int newVerticalSpacing)`
`String`
`toString()`
`void`
`unsetHorizontalSpacing()`
`void`
`unsetVerticalSpacing()`

### Methods inherited from class org.eclipse.birt.chart.model.layout.impl.BlockImpl

`add, basicSetBackground, basicSetBounds, basicSetCursor, basicSetInsets, basicSetMinSize, basicSetOutline, children, getAnchor, getBackground, getBounds, getChildren, getColumn, getColumnspan, getCursor, getHeightHint, getInsets, getMinSize, getOutline, getPreferredSize, getRow, getRowspan, getStretch, getTriggers, getWidthHint, isLegend, isSetAnchor, isSetColumn, isSetColumnspan, isSetHeightHint, isSetRow, isSetRowspan, isSetStretch, isSetVisible, isSetWidthHint, isText, isTitle, isVisible, remove, setAnchor, setBackground, setBounds, setColumn, setColumnspan, setCursor, setHeightHint, setInsets, setMinSize, setOutline, setRow, setRowspan, setStretch, setVisible, setWidthHint, unsetAnchor, unsetColumn, unsetColumnspan, unsetHeightHint, unsetRow, unsetRowspan, unsetStretch, unsetVisible, unsetWidthHint`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.chart.model.layout.Block

`add, children, getAnchor, getBackground, getBounds, getChildren, getColumn, getColumnspan, getCursor, getHeightHint, getInsets, getMinSize, getOutline, getPreferredSize, getRow, getRowspan, getStretch, getTriggers, getWidthHint, isLegend, isSetAnchor, isSetColumn, isSetColumnspan, isSetHeightHint, isSetRow, isSetRowspan, isSetStretch, isSetVisible, isSetWidthHint, isText, isTitle, isVisible, remove, setAnchor, setBackground, setBounds, setColumn, setColumnspan, setCursor, setHeightHint, setInsets, setMinSize, setOutline, setRow, setRowspan, setStretch, setVisible, setWidthHint, unsetAnchor, unsetColumn, unsetColumnspan, unsetHeightHint, unsetRow, unsetRowspan, unsetStretch, unsetVisible, unsetWidthHint`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getHorizontalSpacing

public int getHorizontalSpacing()

Specified by:
  `getHorizontalSpacing` in interface `Plot`
Returns:
  the value of the 'Horizontal Spacing' attribute.
See Also:
  - `Plot.isSetHorizontalSpacing()`
  - `Plot.unsetHorizontalSpacing()`
  - `Plot.setHorizontalSpacing(int)`
  - `LayoutPackage.getPlot_HorizontalSpacing()`

### setHorizontalSpacing

public void setHorizontalSpacing(int newHorizontalSpacing)

Specified by:
  `setHorizontalSpacing` in interface `Plot`
Parameters:
  `newHorizontalSpacing` - the new value of the 'Horizontal Spacing' attribute.
See Also:
  - `Plot.isSetHorizontalSpacing()`
  - `Plot.unsetHorizontalSpacing()`
  - `Plot.getHorizontalSpacing()`

### unsetHorizontalSpacing

public void unsetHorizontalSpacing()

Specified by:
  `unsetHorizontalSpacing` in interface `Plot`
See Also:
  - `Plot.isSetHorizontalSpacing()`
  - `Plot.getHorizontalSpacing()`
  - `Plot.setHorizontalSpacing(int)`

### isSetHorizontalSpacing

public boolean isSetHorizontalSpacing()

Specified by:
  `isSetHorizontalSpacing` in interface `Plot`
Returns:
  whether the value of the 'Horizontal Spacing' attribute is set.
See Also:
  - `Plot.unsetHorizontalSpacing()`
  - `Plot.getHorizontalSpacing()`
  - `Plot.setHorizontalSpacing(int)`

### getVerticalSpacing

public int getVerticalSpacing()

Specified by:
  `getVerticalSpacing` in interface `Plot`
Returns:
  the value of the 'Vertical Spacing' attribute.
See Also:
  - `Plot.isSetVerticalSpacing()`
  - `Plot.unsetVerticalSpacing()`
  - `Plot.setVerticalSpacing(int)`
  - `LayoutPackage.getPlot_VerticalSpacing()`

### setVerticalSpacing

public void setVerticalSpacing(int newVerticalSpacing)

Specified by:
  `setVerticalSpacing` in interface `Plot`
Parameters:
  `newVerticalSpacing` - the new value of the 'Vertical Spacing' attribute.
See Also:
  - `Plot.isSetVerticalSpacing()`
  - `Plot.unsetVerticalSpacing()`
  - `Plot.getVerticalSpacing()`

### unsetVerticalSpacing

public void unsetVerticalSpacing()

Specified by:
  `unsetVerticalSpacing` in interface `Plot`
See Also:
  - `Plot.isSetVerticalSpacing()`
  - `Plot.getVerticalSpacing()`
  - `Plot.setVerticalSpacing(int)`

### isSetVerticalSpacing

public boolean isSetVerticalSpacing()

Specified by:
  `isSetVerticalSpacing` in interface `Plot`
Returns:
  whether the value of the 'Vertical Spacing' attribute is set.
See Also:
  - `Plot.unsetVerticalSpacing()`
  - `Plot.getVerticalSpacing()`
  - `Plot.setVerticalSpacing(int)`

### getClientArea

public ClientArea getClientArea()

Specified by:
  `getClientArea` in interface `Plot`
Returns:
  the value of the 'Client Area' containment reference.
See Also:
  - `Plot.setClientArea(ClientArea)`
  - `LayoutPackage.getPlot_ClientArea()`

### basicSetClientArea

public org.eclipse.emf.common.notify.NotificationChain basicSetClientArea(ClientArea newClientArea, org.eclipse.emf.common.notify.NotificationChain msgs)

### setClientArea

public void setClientArea(ClientArea newClientArea)

Specified by:
  `setClientArea` in interface `Plot`
Parameters:
  `newClientArea` - the new value of the 'Client Area' containment reference.
See Also:
  - `Plot.getClientArea()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `BlockImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `BlockImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `BlockImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `BlockImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `BlockImpl`

### toString

public String toString()

Overrides:
  `toString` in class `BlockImpl`

### isPlot

public boolean isPlot()
Note: Manually written

Specified by:
  `isPlot` in interface `Block`
Overrides:
  `isPlot` in class `BlockImpl`
Returns:

### isCustom

public boolean isCustom()
Note: Manually written

Specified by:
  `isCustom` in interface `Block`
Overrides:
  `isCustom` in class `BlockImpl`
Returns:

### create

public static final Block create()
A convenience method to create an initialized 'Plot' instance

Returns:

### createDefault

public static final Block createDefault()
A convenience method to create an initialized 'Plot' instance

Returns:

### copyInstance

public Plot copyInstance()

Specified by:
  `copyInstance` in interface `Block`
Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Plot`
Overrides:
  `copyInstance` in class `BlockImpl`